.outLineBox:not(.btn){
    /*margin-top: 10px;*/ height: 48px; cursor: default; position: relative;
}

.outLineBox.btn{
    /*margin-top: 10px;*/ /*height: 48px;*/ cursor: default; position: relative;
}

.outLineBox.textarea{
    height: 100px;
}

.outLineBox.input, .outLineBox.select, .outLineBox.textarea{
    background: #fff;
/*    -webkit-box-shadow: 0 0 0 1px rgba(50,50,93,.1), 0 2px 5px 0 rgba(50,50,93,.05), 0 1px 1px 0 rgba(0,0,0,.05);
    box-shadow: 0 0 0 1px rgba(50,50,93,.1), 0 2px 5px 0 rgba(50,50,93,.05), 0 1px 1px 0 rgba(0,0,0,.05);*/
    border: 1px solid #c1c1c1;
}

.outLineBox.input.necessary, .outLineBox.select.necessary, .outLineBox.textarea.necessary{
    background: #fff;
    -webkit-box-shadow: 0 0 0 1px #ef6c2a, 0 2px 5px 0 #ef6c2a, 0 1px 1px 0 #ef6c2a;
    box-shadow: 0 0 0 1px #ef6c2a, 0 2px 5px 0 #ef6c2a, 0 1px 1px 0 #ef6c2a;
}


.outLineBox.btn{
    -webkit-box-shadow: 0 0 0 1px rgba(50,50,93,.1), 0 2px 5px 0 rgba(50,50,93,.05), 0 1px 1px 0 rgba(0,0,0,.05);
    box-shadow: 0 0 0 1px rgba(50,50,93,.1), 0 2px 5px 0 rgba(50,50,93,.05), 0 1px 1px 0 rgba(0,0,0,.05);
}


.inLineBox{position: relative; display: block; padding: 10px 15px; margin-bottom: -1px; background-color: #fff; border: 1px solid #ddd;}


.bulkheadDiv{}
.bulkheadDiv::after{clear:both;content: ' ';display: block;}
.halfBulkhead{float: left; padding: 10px;}

.input-field, .form-page-form-fields .StripeElement {
    font-size: 16px;
    line-height: 1.5;
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    margin: 0;
    /*padding: 14px 10px 2px 10px;*/
    padding-left: 70px;
    -webkit-transition: color .08s ease-in,-webkit-box-shadow .08s ease-in;
    transition: color .08s ease-in,-webkit-box-shadow .08s ease-in;
    transition: box-shadow .08s ease-in,color .08s ease-in;
    transition: box-shadow .08s ease-in,color .08s ease-in,-webkit-box-shadow .08s ease-in;
    color: #303030;
    border: 0;
    /*border-radius: 6px;*/

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    /*text-indent: 50px;*/
}
.field-position-relative{
    height:100%;
    position: relative;
}
.field-position-relative label.inputLabel {

    line-height: 1.5;
    position: absolute;
    z-index: 10;
    top: 0;
    left: 20px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: auto;
    height: 100%;
    margin-bottom: 0;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
    /*color: #aaa;*/
    border: 1px solid transparent;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}


.field-position-relative label.textareaLabel {

    line-height: 1.5;
    position: absolute;
    z-index: 10;
    top: 10px;
    left: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: auto;
    /*height: 100%;*/
    margin-bottom: 0;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
    /*color: #aaa;*/
    border: 1px solid transparent;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}




.field-position-relative div.btnLabel {
    line-height: 48px;
    /*position: absolute;*/
    z-index: 10;
    display: -webkit-box;
    display: -ms-flexbox;
    display: inline-block;
/*    width: auto;*/
/*    height: 100%;*/

    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
    /*color: #aaa;*/
    border: 1px solid transparent;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    /*margin-top: 12px;*/
}

.field-position-relative label.inputLabel.active {
    font-size: 12px;
    z-index: 10;
    top: 2;
    left: 20px;
    width: auto;
    color: #aaa;
    height: 20px;
}

.field-position-relative.btn{
    text-align:center;
}



.form-page-form-fields label {
    margin-bottom: 0!important;
}

.field-position-relative label.selectLabel {

    line-height: 1.5;
    position: absolute;
    z-index: 10;
    top: 0;
    right: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: auto;
    height: 100%;
    margin-bottom: 0;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
    /*color: #aaa;*/
    border: 1px solid transparent;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}


.overflowY100{overflow-y:auto; height:100px;}
.overflowY200{overflow-y:auto; height:200px;}
.overflowY300{overflow-y:auto; height:300px;}
.overflowY400{overflow-y:auto; height:400px;}
.overflowY500{overflow-y:auto; height:500px;}

.selectBoxSubDiv{z-index:1000; position: absolute; display: none; width:100%; color:#000; margin-top:3px; padding:5px;    background: #fff;}
.selectBoxSubDiv.active{display: block;}

.selectBoxSubDiv::-webkit-scrollbar {width: 7px;}
.selectBoxSubDiv::-webkit-scrollbar-thumb {background-color: #ccc;border-radius: 4px;background-clip: padding-box;border: 2px solid transparent;}
.selectBoxSubDiv::-webkit-scrollbar-track {background-color: var(--basic-color1); border-radius: 0px 0px 4px 4px; box-shadow: inset 0px 0px 1px white;}


.selectAlignCenter{text-indent: 10px; cursor: default;}
.selectAlignLeftLi{display: inline-block; position:relative; padding:10 20px;  }
.selectAlignLi{padding: 9px 0px; box-shadow: 0 1px 0 0 #ccc; }
.selectAlignLi:first-child{margin-top:0px;}
.selectAlignLi:last-child{margin-bottom:0px; box-shadow: 0 0 0 0 #000000;}
.selectAlignLi.active{color:#000; background-color: var(--dash-color4) }